Loading...
Searching...
No Matches
fwupdsecattr_probe.c File Reference

firmware security attribute probe More...

`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <assert.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <regex.h>`
`#include <dbus/dbus.h>`
`#include "_seap.h"`
`#include <probe-api.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include "probe/entcmp.h"`
`#include "common/debug_priv.h"`
`#include "oval_dbus.h"`
`#include "fwupdsecattr_probe.h"`
Include dependency graph for fwupdsecattr_probe.c:

## Functions

int | fwupdsecattr_probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

firmware security attribute probe

Author
  "Kate Hsuan" hpa@r.nosp@m.edha.nosp@m.t.com

2022/11/28 hpa@r.nosp@m.edha.nosp@m.t.com This probe can fetch firmware information from fwupd for testing and it is defined in 5.11.3.